#ifdef WIN32
#define EXPORT _declspec(dllexport)

EXPORT int nel;
EXPORT int *el_type;
EXPORT float *t0;
EXPORT float *t1;
EXPORT float *fs0;
EXPORT float *fs1;
EXPORT float *u0;
EXPORT float *u1;
EXPORT float *v0;
EXPORT float *v1;
EXPORT float *w0;
EXPORT float *w1;


EXPORT int nnod;
EXPORT double *x_cord;
EXPORT double *y_cord;
EXPORT double *z_cord;

EXPORT int TWO_D;

EXPORT int *(*ncon);
EXPORT int *mat_id;

/* For units */
EXPORT int user_unit_temp;
EXPORT int user_unit_coor;
EXPORT int user_unit_velocity;
EXPORT int user_unit_time;
EXPORT int user_unit_heatflux;
EXPORT int user_unit_heattransfercoeff;

EXPORT double fconvertFromCGS(int,double);
EXPORT double fconvertToCGS(int,double);
EXPORT extern double fconvertFromCGS(int,double);
EXPORT extern double fconvertToCGS(int,double);

#elif defined( PAM_IBM )

extern int nel;
extern int *el_type;
extern float *t0;
extern float *t1;
extern float *fs0;
extern float *fs1;
extern float *u0;
extern float *u1;
extern float *v0;
extern float *v1;
extern float *w0;
extern float *w1;


extern int nnod;
extern double *x_cord;
extern double *y_cord;
extern double *z_cord;

extern int TWO_D;

extern int *(*ncon);
extern int *mat_id;

int user_unit_temp;
int user_unit_coor;
int user_unit_time;
int user_unit_velocity;
int user_unit_heatflux;
int user_unit_heattransfercoeff;

#else

extern int nel;
extern int *el_type;
extern float *t0;
extern float *t1;
extern float *fs0;
extern float *fs1;
extern float *u0;
extern float *u1;
extern float *v0;
extern float *v1;
extern float *w0;
extern float *w1;


extern int nnod;
extern double *x_cord;
extern double *y_cord;
extern double *z_cord;

extern int TWO_D;

extern int *(*ncon);
extern int *mat_id;

extern int user_unit_temp;
extern int user_unit_coor;
extern int user_unit_time;
extern int user_unit_velocity;
extern int user_unit_heatflux;
extern int user_unit_heattransfercoeff;

double fconvertFromCGS(int,double);
double fconvertToCGS(int,double);
extern double fconvertFromCGS(int,double);
extern double fconvertToCGS(int,double);

#endif
